import path_setting
from in_common.base_request import BaseRequest


class personal_recommends_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.PERSONAL_RECOMMENDS_CONFIG)

    def personal_recommends(self, current_city_id, id, from_type):
        self.params["current_city_id"] = current_city_id
        self.params["id"] = id
        self.params["from_type"] = from_type
        return self.api_send(self.data["personal_recommends"])



